QGIS Application - Bug report #20515
Attribute Table issue: the changes to the column settings are not persistent
2018-11-16 02:25 PM - Geo Dev

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28335
Description

The column settings are reset each time the Attribute Table is closed.

Steps to replicate the issue:

- create a new project

- load any vector layer with at least one feature and some attributes

- open the Attribute Table

- change the columns settings (right-click on the headers and change columns order, visibility and widths)
- close and reopen the Attribute Table: the changes are lost

The changes aren't set to the QgsAttribute TableConfig object (verified using python code).

The issue also occurs in QGIS 3.4.1 (new LTR) and it's OS independent.

It's a regression since in QGIS 2.18.25 and QGIS 3.2.3 the changes to the column settings are persistent as expected.

Related issues:

Duplicated by QGIS Application - Bug report # 20733: Attribute table: Order o... Closed 2018-12-05

History

#1 - 2018-11-23 03:40 PM - Samuel Wechsler

| can confirm

#2 - 2018-12-06 08:23 AM - Alessandro Pasotti

- Duplicated by Bug report #20733: Attribute table: Order of columns doesn't persist added

#3 - 2018-12-19 10:04 AM - Julien Cabieces

- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed now on master
